%define url_ver %(echo %{version} | cut -c 1-3)
%define major 4
%define libname	%mklibname xfce4panel %{major}
%define develname %mklibname xfce4panel -d

Summary:	A Xfce panel
Summary(de): 	Eine Xfce-Leiste
Name:		xfce4-panel
Version:	4.12.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	xfce4-panel.xml
Source2:	panel.tar.xz
BuildRequires:	libxfce4ui-devel >= 4.10
BuildRequires:	gtk+2-devel
BuildRequires:	gtk+3-devel
BuildRequires:	libexo-devel
BuildRequires:	%{_lib}wnck1-devel
BuildRequires:	xfconf-devel >= 4.8.0
BuildRequires:	libxml2-devel >= 2.4.0
BuildRequires:	gtk-doc
BuildRequires:	garcon-devel >= 0.1.5
Requires:	desktop-common-data
Obsoletes:	xfce-panel < %{version}-%{release}
Obsoletes:	xfce4-panel-doc < %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:  	%name < %version
Requires:	glibc >= 2.20
Requires:	libstdc++6 >= 4.5.2


%description
The Xfce 4 Panel supports multiple panels, with many options
for their position, appearance, transparency and behavior.
There are many items available by default to full fit a panel,
like application launchers with detachable menus, a graphical pager,
a tasklist, a clock, a system tray, a show/hide desktop switcher,
and even more. It offers an easy way to add items using a dialog,
and to move items accross different panels.

%description -l de
Das Xfce4-Panel unterstützt mehrere Panels, mit vielen Optionen für
ihre Position, Aussehen, Transparenz und Verhalten. Es gibt standardmäßig
viele Einträge um das Panel zu füllen, wie z.B. Programmstarter mit 
abtrennbaren Menüs, einem grafischen Seitenauflister, eine Aufgabenliste,
eine Uhr, eins Systemtray, ein Desktopwechsler zum Zeigen/Verstecken von
virtuellen Desktops und mehr. Es bietet einen einfachen Dialog zum Hinzufügen
und Verschieben auf andere Panels, von Einträgen.

%package devel
Summary:	Libraries and header files for the %{name} library
Summary(de):	Bibliotheken und Header-Dateien für das %{name}
Group:		Graphical desktop/Xfce
Requires:	gtk-doc
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname xfce4panel 1 -d} < 4.6.3-2

%description devel
Libraries and header files for the %{name} library.

%description devel -l de
Bibliotheken und Header-Dateien für das %{name}

%package doc
Summary: 	Documentation for %{name}
Summary(de):	Dokumentation für %{name}
Group: 		Documentation
Requires: 	%{name}

%description doc
Documentation for %{name}

%description doc -l de
Dokumentation für %{name}


%prep
%setup -qn %{name}-%{version}

%build
./autogen.sh --prefix=/usr --libdir=%{_libdir} --enable-gtk-doc \
	--enable-gio-unix --sysconfdir=%{_sysconfdir} --enable-gtk3
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_sysconfdir}/xdg/xfce4/panel/default.xml
mkdir -p %{buildroot}%{_datadir}/xfce4/panel/default
cp %{SOURCE1} %{buildroot}%{_datadir}/xfce4/panel/default
cp %{SOURCE2} %{buildroot}%{_datadir}/xfce4/panel/default

rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/panel/*
rm -rf %{buildroot}%{_libdir}/*a

%clean
rm -rf %{buildroot}

%post
USERSN=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)

for i in $USERSN
do

	# add panel conf to all existing users
	if [ ! -d /home/$i/.config/xfce4/panel ]; then

		if [ -e /home/$i/.config/xfce4/xfconf/xfce-perchannel-xml ]; then
		
			if [ -e /home/$i/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-panel.xml.bak ]; then

				rm -f /home/$i/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-panel.xml.bak
			fi

			mv /home/$i/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-panel.xml /home/$i/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-panel.xml.bak
			cp %{_datadir}/xfce4/panel/default/xfce4-panel.xml /home/$i/.config/xfce4/xfconf/xfce-perchannel-xml
			chown $i /home/$i/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-panel.xml
			chgrp $i /home/$i/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-panel.xml
		else

			mkdir -p /home/$i/.config/xfce4/xfconf/xfce-perchannel-xml
			cp %{_datadir}/xfce4/panel/default/xfce4-panel.xml /home/$i/.config/xfce4/xfconf/xfce-perchannel-xml
			chown -R $i /home/$i/.config/xfce4
			chgrp -R $i /home/$i/.config/xfce4
		fi

		# add the panel content
		if [ -d /home/$i/.config/xfce4/panel ]; then

			if [ -d /home/$i/.config/xfce4/panel.bak ]; then

				rm -rf /home/$i/.config/xfce4/panel.bak
			fi

			cd /home/$i/.config/xfce4
			mv panel panel.bak
			tar --xz -cf panel.bak.tar.xz panel.bak
			rm -rf panel.bak
			cp %{_datadir}/xfce4/panel/default/panel.tar.xz /home/$i/.config/xfce4
			tar -Jxf panel.tar.xz
			rm -f panel.tar.xz
			chown -R $i /home/$i/.config/xfce4/panel
			chgrp -R $i /home/$i/.config/xfce4/panel
		else
		
			if [ ! -d /home/$i/.config/xfce4 ]; then

				mkdir -p /home/$i/.config/xfce4
			fi

			cp %{_datadir}/xfce4/panel/default/panel.tar.xz /home/$i/.config/xfce4
			cd /home/$i/.config/xfce4
			tar -Jxf panel.tar.xz
			rm -f panel.tar.xz
			chown -R $i /home/$i/.config/xfce4/panel
			chgrp -R $i /home/$i/.config/xfce4/panel
		fi
	fi
done

# add panel conf to skel
# to avoid problems with the release 8 and before 
rm -rf /etc/skel/.config/xfce4

mkdir -p /etc/skel/.config/xfce4/xfconf/xfce-perchannel-xml
cp %{_datadir}/xfce4/panel/default/xfce4-panel.xml /etc/skel/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-panel.xml
cp %{_datadir}/xfce4/panel/default/panel.tar.xz /etc/skel/.config/xfce4
cd /etc/skel/.config/xfce4
tar -Jxf panel.tar.xz
rm -f panel.tar.xz

%postun
#remove panel config from /etc/skel
rm -rf /etc/skel/.config/xfce4/xfconf/xfce-perchannel-xml
rm -rf /etc/skel/.config/xfce4/panel


%files
%defattr(-,root,root)
#%{_sysconfdir}/xdg/xfce4/panel/default.xml
%{_bindir}/*
%{_libdir}/xfce4/panel/plugins/
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*
%{_datadir}/xfce4/panel/plugins/*
%{_datadir}/xfce4/panel/default
%{_libdir}/xfce4/panel/migrate
%{_libdir}/xfce4/panel/wrapper*
%{_datadir}/gtk-doc
%{_datadir}/locale
%{_libdir}/lib*.so.%{major}*

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}

%files doc
%defattr(-,root,root)
%doc README AUTHORS NEWS COPYING.LIB THANKS TODO 

%changelog
* Thu Feb 09 2017 adrianomorselli <adrianomorselli> 4.12.1-1uplos2017
- rebuild

* Mon Dec 26 2016 ghostbunny <ghostbunny at gmx dot de> 4.12.1-1pclos2017
- 4.12.1

* Sun Mar 01 2015 ghostbunny <ghostbunny at gmx dot de> 4.12.0-1pclos2015
- 4.12.0
- add gtk3 support

* Wed Mar 18 2014 ghostbunny <ghostbunny at gmx dot de> 4.11.0-2pclos2014
- revert to code of 4.10.1

* Tue Feb 25 2014 ghostbunny <ghostbunny at gmx dot de> 4.11.0-1pclos2014
- 4.11.0
- change group of doc package to Documentation

* Sun May 05 2013 ghostbunny <ghostbunny at gmx dot de> 4.10.1-1pclos2013
- 4.10.1

* Tue Nov 20 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-9pclos2012 
- process

* Mon Nov 19 2012 ghostbunny <ghostbunny at gmx dot de> 4.10.0-9pclos2012 
- fixed skel entry in post section again to clean systems messed up before

* Mon Nov 19 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-8pclos2012 
- process

* Sun Nov 18 2012 ghostbunny <ghostbunny at gmx dot de> 4.10.0-8pclos2012 
- fixed skel entry in post section

* Fri Nov 09 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-7pclos2012 
- process

* Thu Nov 08 2012 ghostbunny <ghostbunny at gmx dot de> 4.10.0-7pclos2012 
- added Source2
- integrated Source2 into the system

* Tue Nov 06 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-6pclos2012 
- process

* Mon Nov 05 2012 ghostbunny <ghostbunny at gmx dot de> 4.10.0-6pclos2012 
- further fix of post section

* Mon Nov 05 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-5pclos2012 
- process

* Sun Nov 04 2012 ghostbunny <ghostbunny at gmx dot de> 4.10.0-5pclos2012 
- fixed/improved post section
- added arch switch for libwnck

* Wed Oct 31 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-4pclos2012 
- rebuild

* Wed Oct 24 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-3pclos2012 
- process

* Mon Oct 22 2012 ghostbunny <ghostbunny at gmx dot de> 4.10.0-3pclos2012 
- fixed place for default panel

* Mon Sep 24 2012 Neal <nealbrks0 at gmail.com> 4.10.0-1pclos2012
- rebuild

* Thu Sep 20 2012 Neal <nealbrks0 at gmail.com> 4.10.0-1pclos2012
- 64bit

* Sun Sep 16 2012 ghostbunny <ghostbunny at gmx dot de> 4.10.0-2pclos2012
- added default panel configuration (post/postun)

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 4.10.0-1pclos2012
- process

* Tue Aug 29 2012 ghostbunny <ghostbunny at gmx dot de> 4.10.0-1pclos2012
- 4.10.0
- added german summaries and descriptions
- fixed English summary of the doc package ("Documentation for openbox"??? -> "Documentation for %{name}")
- added some doc file

* Sat Apr 16 2011 Texstar <texstar at gmail.com> 4.8.3-1pclos2011
- 4.8.3

* Wed Jan 26 2011 Sproggy <desproggster at gmail.com> 4.8.0-1pclos2011
- update for xfce4.8

* Sun Nov 07 2010 Sproggy <desproggster> 4.7.4-2pclos2010
- 4.7.4 update for xfce4.8pre1
